# Uses of Class
org.apache.solr.client.solrj.impl.LBSolrClient.EndpointWrapper

Packages that use LBSolrClient.EndpointWrapper
Package
Description
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.

## Uses of LBSolrClient.EndpointWrapper in org.apache.solr.client.solrj.impl

Fields in org.apache.solr.client.solrj.impl with type parameters of type LBSolrClient.EndpointWrapper
Modifier and Type
Field
Description
`protected final Map<String,LBSolrClient.EndpointWrapper>`
LBSolrClient.`zombieServers`
Methods in org.apache.solr.client.solrj.impl that return LBSolrClient.EndpointWrapper
Modifier and Type
Method
Description
`protected LBSolrClient.EndpointWrapper`
LBSolrClient.`createServerWrapper(LBSolrClient.Endpoint endpoint)`
`protected LBSolrClient.EndpointWrapper`
LBSolrClient.`pickServer(LBSolrClient.EndpointWrapper[] aliveServerList, SolrRequest<?> request)`
Pick a server from list to execute request.
Methods in org.apache.solr.client.solrj.impl with parameters of type LBSolrClient.EndpointWrapper
Modifier and Type
Method
Description
`protected void`
LBSolrClient.`makeServerAZombie(LBSolrClient.EndpointWrapper wrapper)`
`protected LBSolrClient.EndpointWrapper`
LBSolrClient.`pickServer(LBSolrClient.EndpointWrapper[] aliveServerList, SolrRequest<?> request)`
Pick a server from list to execute request.
Constructor parameters in org.apache.solr.client.solrj.impl with type arguments of type LBSolrClient.EndpointWrapper
Modifier
Constructor
Description
``
`EndpointIterator(LBSolrClient.Req req, Map<String,LBSolrClient.EndpointWrapper> zombieServers)`